## org.eclipse.datatools.modelbase.sql.query
Interface QuerySearchCondition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SearchCondition, SQLObject, SQLQueryObject

All Known Subinterfaces:
  Predicate, PredicateBasic, PredicateBetween, PredicateExists, PredicateIn, PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect, PredicateIsNull, PredicateLike, PredicateQuantified, PredicateQuantifiedRowSelect, PredicateQuantifiedValueSelect, SearchConditionCombined, SearchConditionNested, XMLPredicate, XMLPredicateContent, XMLPredicateDocument, XMLPredicateExists, XMLPredicateValid

    public interface QuerySearchCondition

extends SQLQueryObject, SearchCondition

A representation of the model object 'SQL Search Condition'.

The following features are supported:

- `Negated Condition`
- `Update Statement`
- `Delete Statement`
- `Table Joined`
- `Combined Left`
- `Combined Right`
- `Query Select Having`
- `Query Select Where`
- `Value Expr Case Search Content`
- `Nest`
- `Merge On Condition`

See Also:
  `SQLQueryModelPackage.getQuerySearchCondition()`

Method Summary
`SearchConditionCombined` `getCombinedLeft()` Returns the value of the 'Combined Left' container reference.
`SearchConditionCombined` `getCombinedRight()` Returns the value of the 'Combined Right' container reference.
`QueryDeleteStatement` `getDeleteStatement()` Returns the value of the 'Delete Statement' container reference.
`MergeOnCondition` `getMergeOnCondition()` Returns the value of the 'Merge On Condition' container reference.
`SearchConditionNested` `getNest()` Returns the value of the 'Nest' container reference.
`QuerySelect` `getQuerySelectHaving()` Returns the value of the 'Query Select Having' container reference.
`QuerySelect` `getQuerySelectWhere()` Returns the value of the 'Query Select Where' container reference.
`TableJoined` `getTableJoined()` Returns the value of the 'Table Joined' container reference.
`QueryUpdateStatement` `getUpdateStatement()` Returns the value of the 'Update Statement' container reference.
`ValueExpressionCaseSearchContent` `getValueExprCaseSearchContent()` Returns the value of the 'Value Expr Case Search Content' container reference.
`boolean` `isNegatedCondition()` Returns the value of the 'Negated Condition' attribute.
`void` `setCombinedLeft(SearchConditionCombined value)` Sets the value of the '`Combined Left`' container reference.
`void` `setCombinedRight(SearchConditionCombined value)` Sets the value of the '`Combined Right`' container reference.
`void` `setDeleteStatement(QueryDeleteStatement value)` Sets the value of the '`Delete Statement`' container reference.
`void` `setMergeOnCondition(MergeOnCondition value)` Sets the value of the '`Merge On Condition`' container reference.
`void` `setNegatedCondition(boolean value)` Sets the value of the '`Negated Condition`' attribute.
`void` `setNest(SearchConditionNested value)` Sets the value of the '`Nest`' container reference.
`void` `setQuerySelectHaving(QuerySelect value)` Sets the value of the '`Query Select Having`' container reference.
`void` `setQuerySelectWhere(QuerySelect value)` Sets the value of the '`Query Select Where`' container reference.
`void` `setTableJoined(TableJoined value)` Sets the value of the '`Table Joined`' container reference.
`void` `setUpdateStatement(QueryUpdateStatement value)` Sets the value of the '`Update Statement`' container reference.
`void` `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent value)` Sets the value of the '`Value Expr Case Search Content`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNegatedCondition

    boolean isNegatedCondition()

  Returns the value of the 'Negated Condition' attribute. This represents NOT ( <searchCondition> ). This attribute and paren can not both be true at the same time.

  Returns:
    the value of the 'Negated Condition' attribute.
  See Also:
    `setNegatedCondition(boolean)`, `SQLQueryModelPackage.getQuerySearchCondition_NegatedCondition()`

### setNegatedCondition

    void setNegatedCondition(boolean value)

  Sets the value of the '`Negated Condition`' attribute.

  Parameters:
    `value` - the new value of the 'Negated Condition' attribute.
  See Also:
    `isNegatedCondition()`

### getUpdateStatement

    QueryUpdateStatement getUpdateStatement()

  Returns the value of the 'Update Statement' container reference. It is bidirectional and its opposite is '`Where Clause`'.

  If the meaning of the 'Update Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getQuerySearchCondition_UpdateStatement()`, `QueryUpdateStatement.getWhereClause()`

### setUpdateStatement

    void setUpdateStatement(QueryUpdateStatement value)

  Sets the value of the '`Update Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Update Statement' container reference.
  See Also:
    `getUpdateStatement()`

### getDeleteStatement

    QueryDeleteStatement getDeleteStatement()

  Returns the value of the 'Delete Statement' container reference. It is bidirectional and its opposite is '`Where Clause`'.

  If the meaning of the 'Delete Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getQuerySearchCondition_DeleteStatement()`, `QueryDeleteStatement.getWhereClause()`

### setDeleteStatement

    void setDeleteStatement(QueryDeleteStatement value)

  Sets the value of the '`Delete Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Delete Statement' container reference.
  See Also:
    `getDeleteStatement()`

### getTableJoined

    TableJoined getTableJoined()

  Returns the value of the 'Table Joined' container reference. It is bidirectional and its opposite is '`Join Condition`'.

  If the meaning of the 'Table Joined' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Joined' container reference.
  See Also:
    `setTableJoined(TableJoined)`, `SQLQueryModelPackage.getQuerySearchCondition_TableJoined()`, `TableJoined.getJoinCondition()`

### setTableJoined

    void setTableJoined(TableJoined value)

  Sets the value of the '`Table Joined`' container reference.

  Parameters:
    `value` - the new value of the 'Table Joined' container reference.
  See Also:
    `getTableJoined()`

### getCombinedLeft

    SearchConditionCombined getCombinedLeft()

  Returns the value of the 'Combined Left' container reference. It is bidirectional and its opposite is '`Left Condition`'.

  If the meaning of the 'Combined Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `setCombinedLeft(SearchConditionCombined)`, `SQLQueryModelPackage.getQuerySearchCondition_CombinedLeft()`, `SearchConditionCombined.getLeftCondition()`

### setCombinedLeft

    void setCombinedLeft(SearchConditionCombined value)

  Sets the value of the '`Combined Left`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Left' container reference.
  See Also:
    `getCombinedLeft()`

### getCombinedRight

    SearchConditionCombined getCombinedRight()

  Returns the value of the 'Combined Right' container reference. It is bidirectional and its opposite is '`Right Condition`'.

  If the meaning of the 'Combined Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `setCombinedRight(SearchConditionCombined)`, `SQLQueryModelPackage.getQuerySearchCondition_CombinedRight()`, `SearchConditionCombined.getRightCondition()`

### setCombinedRight

    void setCombinedRight(SearchConditionCombined value)

  Sets the value of the '`Combined Right`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Right' container reference.
  See Also:
    `getCombinedRight()`

### getQuerySelectHaving

    QuerySelect getQuerySelectHaving()

  Returns the value of the 'Query Select Having' container reference. It is bidirectional and its opposite is '`Having Clause`'.

  If the meaning of the 'Query Select Having' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Select Having' container reference.
  See Also:
    `setQuerySelectHaving(QuerySelect)`, `SQLQueryModelPackage.getQuerySearchCondition_QuerySelectHaving()`, `QuerySelect.getHavingClause()`

### setQuerySelectHaving

    void setQuerySelectHaving(QuerySelect value)

  Sets the value of the '`Query Select Having`' container reference.

  Parameters:
    `value` - the new value of the 'Query Select Having' container reference.
  See Also:
    `getQuerySelectHaving()`

### getQuerySelectWhere

    QuerySelect getQuerySelectWhere()

  Returns the value of the 'Query Select Where' container reference. It is bidirectional and its opposite is '`Where Clause`'.

  If the meaning of the 'Query Select Where' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Select Where' container reference.
  See Also:
    `setQuerySelectWhere(QuerySelect)`, `SQLQueryModelPackage.getQuerySearchCondition_QuerySelectWhere()`, `QuerySelect.getWhereClause()`

### setQuerySelectWhere

    void setQuerySelectWhere(QuerySelect value)

  Sets the value of the '`Query Select Where`' container reference.

  Parameters:
    `value` - the new value of the 'Query Select Where' container reference.
  See Also:
    `getQuerySelectWhere()`

### getValueExprCaseSearchContent

    ValueExpressionCaseSearchContent getValueExprCaseSearchContent()

  Returns the value of the 'Value Expr Case Search Content' container reference. It is bidirectional and its opposite is '`Search Condition`'.

  If the meaning of the 'Value Expr Case Search Content' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `setValueExprCaseSearchContent(ValueExpressionCaseSearchContent)`, `SQLQueryModelPackage.getQuerySearchCondition_ValueExprCaseSearchContent()`, `ValueExpressionCaseSearchContent.getSearchCondition()`

### setValueExprCaseSearchContent

    void setValueExprCaseSearchContent(ValueExpressionCaseSearchContent value)

  Sets the value of the '`Value Expr Case Search Content`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case Search Content' container reference.
  See Also:
    `getValueExprCaseSearchContent()`

### getNest

    SearchConditionNested getNest()

  Returns the value of the 'Nest' container reference. It is bidirectional and its opposite is '`Nested Condition`'.

  If the meaning of the 'Nest' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nest' container reference.
  See Also:
    `setNest(SearchConditionNested)`, `SQLQueryModelPackage.getQuerySearchCondition_Nest()`, `SearchConditionNested.getNestedCondition()`

### setNest

    void setNest(SearchConditionNested value)

  Sets the value of the '`Nest`' container reference.

  Parameters:
    `value` - the new value of the 'Nest' container reference.
  See Also:
    `getNest()`

### getMergeOnCondition

    MergeOnCondition getMergeOnCondition()

  Returns the value of the 'Merge On Condition' container reference. It is bidirectional and its opposite is '`Search Condition`'.

  If the meaning of the 'Merge On Condition' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge On Condition' container reference.
  See Also:
    `setMergeOnCondition(MergeOnCondition)`, `SQLQueryModelPackage.getQuerySearchCondition_MergeOnCondition()`, `MergeOnCondition.getSearchCondition()`

### setMergeOnCondition

    void setMergeOnCondition(MergeOnCondition value)

  Sets the value of the '`Merge On Condition`' container reference.

  Parameters:
    `value` - the new value of the 'Merge On Condition' container reference.
  See Also:
    `getMergeOnCondition()`